import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

const sitUrl = 'https://b2.7b2.com/'
const appleIds = []
const adappid = 'llle0w76f4qqmgfjm7fpkgaxe5q20qg6'

const token = uni.getStorageSync('token')
let userData = uni.getStorageSync('userData')
userData = userData ? userData : []

const platform = uni.getSystemInfoSync().platform

let flag = true

// #ifdef APP-PLUS
//flag = !uni.getStorageSync('launchFlag') ? false : true
// #endif

let userRole = uni.getStorageSync('userRole')
userRole = userRole ? userRole : {
	binding_login: false,
	can_img: false,
	carts: 0,
	create_circle: false,
	create_topic: false,
	distribution: false,
	newsflashes: false,
	write: false
}

const store = new Vuex.Store({  
    state: {
		device:null,
		restUrl:sitUrl+'wp-json/b2/v1/app/',
		restUrlNormal:sitUrl+'wp-json/b2/v1/',
		restwp:sitUrl+'wp-json/',
		sitUrl:sitUrl,
		adappid:adappid,
		showMulti:false,
		flag:flag,
		opt:{
			logo:'',
			name:'',
			symbol:'',
			money_name:'',
			mNames:{},
			prePage:0,
			loginType:{
				inv:{
					link: {
						post_type: "", 
						id: 0
					},
					text: "",
					type: 0
				},
				allow:1,
				text:'',
				type:''
			},
			tabbar:['index','circle','newsflashes','shop','my'],
			mpweixin_allow_pay:false,
			pay_disabled_var:'',
			version:''
		},
		univerify:{
			open:false,
			openid:'',
			accessToken:''
		},
		index:[],
		menus:[],
		userData:userData,
		userRole:userRole,
		headerToken:token ? {Authorization:'Bearer '+token} : {},
		token:token,
		systemInfo:[],
		bar:{
			top:0,
			height:0,
			width:0
		},
		pageLocked:false,
		downloadInfo:{},
		reflash:false,
		reflashTopic:false,
		platform:platform,
		oauth:[],
		payment:['alipay','wxpay','baidu','appleiap'],
		loginEnglish:false,
		appleIds:appleIds,
		cid:'',
		safeBotton:0,
		orderInfo:'',
		privacyAuthorize:false
    },
    mutations: {
		updateCid(state, data){
			state.cid = data
		},
		updatePayment(state, data) {
			state.payment = data
		},
		updateOauth(state, data) {
			state.oauth = data
		},
		updateDevice(state, deviceStr) {
		     if (deviceStr) {
		        state.device = deviceStr.toLowerCase()
		     }
		},
		setFlag(state, data){
			uni.setStorageSync('launchFlag',data)
			state.flag = data
		},
		setBar(state,data){
			state.bar = data
		},
		setPrivacyAuthorize(state,data){
			state.privacyAuthorize = data
		},
		setOpt(state,data){
			
			let ish5 = false
			
			// #ifdef H5
			ish5 = true
			// #endif
		
			
			if(state.platform == 'ios' && !ish5){
				if(parseInt(data['mpweixin_allow_pay']) == 0){
					data['mpweixin_allow_pay'] = false
				}else{
					// #ifdef APP-PLUS
					
					plus.runtime.getProperty(plus.runtime.appid, (wgtinfo)=>{  
						
						const v = wgtinfo.version
						
						if(v === data.pay_disabled_var){
							data['mpweixin_allow_pay'] = false
						}
						
						data.version = v
						
						state.opt = data

						return

					});
					
					// #endif
				}
			}else{
				data['mpweixin_allow_pay'] = true
			}

			state.opt = data
			
			
			
		},
		setMultiShow(state,data){
			state.showMulti = data
		},
		setUniverify(state, data){
			if(data.open){
				state.univerify.open = data.open
			}
			
			if(data.openid){
				state.univerify.openid = data.openid
				state.univerify.accessToken = data.access_token
			}
		},
        setUserData(state, userData) {
			if(userData){
				state.userData = userData
				uni.setStorageSync('userData',userData)
			}else{
				uni.removeStorageSync('userData')
				state.userData = []
			}
        },
		setUserRole(state, data){
			if(data){
				state.userRole = data
				uni.setStorageSync('userRole',data)
			}else{
				state.userRole = {
					binding_login: false,
					can_img: false,
					can_video:false,
					can_file:false,
					carts: 0,
					create_circle: false,
					create_topic: false,
					distribution: false,
					newsflashes: false,
					write: false,
					msg_unread:0,
					dmsg_unread:0
				}
				uni.removeStorageSync('userRole')
			}
		},
		setPageLocked(state, data) {  
			state.pageLocked = data
		},
		setToken(state,token){
			if(token){
				state.headerToken = {Authorization:'Bearer '+token}
				state.token = token
				uni.setStorageSync('token',token) 
			}else{
				state.headerToken = {}
				state.token = ''
				uni.removeStorageSync('token')
			}
		},
        logout(state) {  
            state.userData = []
			state.token = []
        },
		topicSingle(state,data){
			state.topicData = data
		},
		setSystemInfo(state,data){
				

			
			state.systemInfo = data
		}
    }  
})
export default store